%define	build_socks5 0
%define	build_dbus 1
%define	build_perl 1
%define	build_python 1
%define	build_tcl 1

%{?_with_socks5: %{expand: %%global build_socks5 1}}

%{?_without_dbus: %{expand: %%global build_dbus 0}} 
%{?_with_dbus: %{expand: %%global build_dbus 1}} 

%{?_without_perl: %{expand: %%global build_perl 0}} 
%{?_with_perl: %{expand: %%global build_perl 1}} 

%{?_without_python: %{expand: %%global build_python 0}} 
%{?_with_python: %{expand: %%global build_python 1}} 

%{?_without_tcl: %{expand: %%global build_tcl 0}} 
%{?_with_tcl: %{expand: %%global build_tcl 1}} 


%define	name	xchat
%define	version	2.8.8
%define	main_summary	Graphical IRC client
%define	perl_version	%(rpm -q --qf '%%{VERSION}' perl)

Name:		%{name}
Version:	%{version}
Release:	%mkrel 4
Summary:	%{main_summary}
Group:		Networking/IRC
License:	GPL
Url:		http://www.xchat.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Source:		http://www.xchat.org/files/source/2.8/%{name}-%{version}.tar.xz
Source2:	xchat.desktop
Source3:	xchat-16.png
Source4:	xchat-32.png
Source5:	xchat-48.png
Patch0:		xchat-2.6.4-ctcp_version.patch
Patch2:		xchat-2.0.8-nicksuffix.patch
Patch3:		xchat-2.6.1-servlist.patch
Patch10:	xchat-2.8.6-CVE-2009-0315-debian.patch 
Patch11:	xchat-2.8.8-glib.patch
Obsoletes:	xchat-dbus < 2.6.8
Provides:	xchat-dbus = %version-%release
BuildRequires:	bison
BuildRequires:	gtk+2-devel >= 2.12.2
BuildRequires:	openssl-devel
BuildRequires:	ImageMagick
BuildRequires:	GConf2
BuildRequires:	desktop-file-utils
BuildRequires:	libsexy-devel
BuildRequires:	autoconf2.5
BuildRequires:	gettext-devel
%if %build_perl
BuildRequires:	perl-devel
%endif
%if %build_python
BuildRequires:	python-devel
%endif
%if %build_tcl
BuildRequires:	tcl
BuildRequires:	tcl-devel
%endif
%if %build_dbus
BuildRequires:	dbus-glib-devel 
BuildRequires:	libtool
%endif
%if %build_socks5
BuildRequires:	socks5-devel
%endif

%description
X-Chat is yet another IRC client for the X Window System, using the Gtk+
toolkit. It is pretty easy to use compared to the other Gtk+ IRC clients and
the interface is quite nicely designed.

Build Options:
--with socks5    Enable SOCKS5 support
--without dbus   Disable DBus plugin
--without perl   Disable Perl plugin 
--without python Disable Python plugin 
--without tcl    Disable TCL plugin 

%package devel
Summary:	XChat header for plugin development
Group:		Development/C

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%package perl
Summary:	XChat Perl plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}
Requires:	perl-base

%description perl
Provides Perl scripting capability to XChat.

%package python
Summary:	XChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}
Requires:	python >= 2.6.6

%description python
Provides Python scripting capability to XChat.

%package tcl
Summary:	XChat TCL plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}

%description tcl
Provides tcl scripting capability to XChat.


%prep
%setup -q

%patch0
%patch2 -p1
%patch3 -p0 -b .default_server
%patch10 -p1 -b .cve-2009-0315
%patch11 -p0 -b .glib


%build

# fix build against latest GTK+
sed -i -e 's/#define GTK_DISABLE_DEPRECATED//g' src/fe-gtk/*.c

./autogen.sh

%configure2_5x  --enable-openssl \
		--enable-ipv6 \
%if %build_perl
		--enable-perl \
%else
		--disable-perl \
%endif
%if %build_dbus
		--enable-dbus \
%else
		--disable-dbus \
%endif
%if %build_python
		--enable-python \
%else
		--disable-python \
%endif
%if %build_tcl
		--enable-tcl=%{_libdir} \
%else
	        --disable-tcl
%endif
		--disable-textfe \
		--enable-spell=libsexy \
%if %build_socks5
		--enable-socks
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang xchat



install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_includedir}
cp plugins/xchat-plugin.h %{buildroot}%{_includedir}/

rm -rf %{buildroot}%{_libdir}/xchat/plugins/*.la

mkdir -p %{buildroot}/%_datad%{_iconsdir}
mkdir -p %{buildroot}/%{_iconsdir}/mini
mkdir -p %{buildroot}/%{_iconsdir}/large

install -m 0644 %SOURCE3 %{buildroot}/%{_iconsdir}/mini/xchat.png
install -m 0644 %SOURCE4 %{buildroot}/%{_iconsdir}/xchat.png
install -m 0644 %SOURCE5 %{buildroot}/%{_iconsdir}/large/xchat.png

install -m 0644 %SOURCE3 %{buildroot}%{_datadir}/pixmaps/xchat.png


%post
%{update_desktop_database}

%if %build_dbus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/apps_xchat_url_handler.schemas > /dev/null

%preun 
if [ "$1" = "0" -a -x %{_bindir}/gconftool-2 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/apps_xchat_url_handler.schemas > /dev/null
fi
%endif

%postun
%{clean_desktop_database}

%clean
rm -fr $RPM_BUILD_ROOT

%files -f xchat.lang
%defattr(-,root,root)
%doc README ChangeLog faq.html COPYING plugins/plugin20.html
%{_bindir}/xchat
%{_datadir}/applications/xchat.desktop
%{_datadir}/dbus-1/services/org.xchat.service.service
%dir %{_libdir}/xchat/plugins
%dir %{_libdir}/xchat
%{_sysconfdir}/gconf/schemas/apps_xchat_url_handler.schemas
%{_iconsdir}/mini/xchat.png
%{_iconsdir}/xchat.png
%{_iconsdir}/large/xchat.png
%{_datadir}/pixmaps/xchat.png

%files devel
%defattr(-,root,root)
%{_includedir}/xchat-plugin.h

%if %build_perl
%files perl
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/perl.so
%endif

%if %build_python
%files python
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/python.so
%endif

%if %build_tcl
%files tcl
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/tcl.so
%endif


%changelog
* Sat Jun 30 2018 adrianomorselli <adrianomorselli> 2.8.8-4uplos2018
- rebuild
